# MATPLAPACK

MATPLAPACK = "plapack" - A matrix type providing direct solvers (LU, Cholesky, and QR) for parallel dense matrices via the external package PLAPACK. If PLAPACK is installed (see the manual for instructions on how to declare the existence of external packages), a matrix type can be constructed which invokes PLAPACK solvers. After calling MatCreate(...,A), simply call MatSetType(A,MATPLAPACK).

This matrix inherits from MATSEQDENSE when constructed with a single process communicator, and from MATMPIDENSE otherwise. One can also call MatConvert for an inplace conversion to or from the MATSEQDENSE or MATMPIDENSE type (depending on the communicator size) without data copy.

### Options Database Keys

| -mat_type plapack | - sets the matrix type to "plapack" during a call to MatSetFromOptions()
| -mat_plapack_nprows <n> | - number of rows in processor partition
| -mat_plapack_npcols <n> | - number of columns in processor partition
| -mat_plapack_nb <n> | - block size of template vector
| -mat_plapack_nb_alg <n> | - algorithmic block size
| -mat_plapack_ckerror <n> | - error checking flag

### See Also

MATDENSE, PCLU, PCCHOLESKY

Level:beginner
Location: src/mat/impls/dense/mpi/plapack/plapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages